Fix uname output.

10 months ago by danmcd
Page History
  1. OmniOS r151016 
  2. June 6th Update 
  3. February 4th Update 
  4. December 16th Update 
  5. November 12th Update 
  6. r151016 release 
  7. What's new in this release? 
  8. Package changes ([+] Added, [-] Removed, [*] Changed) 

OmniOS r151016 #

June 6th Update #

illumos-omnios branch r151016 at c774cf9

uname -a shows omnios-f0a1fe2 (note small discrepancy)

  • libxml update to 2.9.4
  • DTrace stability fixes (illumos 7033-7035)
  • setid binaries disallow ld.so.1's $ORIGIN (illumos 6987)
  • ZFS no longer bleeds zvol entries into non-global zones (illumos 7019,7020)
  • NTP to 4.2.8p8
  • expat to 2.1.1 (with CVE 2016-0718 fix)

February 4th Update #

illumos-omnios branch r151016 at 33c53a8

uname -a shows omnios-33c53a8

  • ZFS receive now covers refquota-on-receive overage (illumos 6562).
  • DTrace robustness update.

December 16th Update #

illumos-omnios branch r151016 at b5093df

uname -a shows omnios-b5093df

  • BIND security update to 9.10.3-P2
  • ZFS receives now replication streams with a refquota even if older snapshots exceed it (illumos 4986). Includes new ZFS Test Suite test.
  • OpenSSH now integrates with the illumos audit subsystem. Thanks to Joyent, and this is part of getting OpenSSH to match SunSSH's integrated functionality.
  • NVMe bugfixes (illumos 6466 and 6467).

November 12th Update #

illumos-omnios branch r151016 at 0a84329

uname -a shows omnios-073d8c0 (NOTE: The discrepency is because the tip of the branch contains a single-package change, not enough to respin illumos.)

  • Changed entire's sendmail dependency from "require" to "group", which allows uninstalling sendmail.
  • illumos 6439 (handles KVM guests better)
  • KVM updates
  • Hans Rosenfeld's blkdev series of fixes (illumos 6299-6305)
  • LSI Fury support
  • ilbd memory leak plug

omnios-userland changes are more frequent, due to things like OpenSSL updates, etc.

r151016 release #

Stable Release, November 3rd, 2015

illumos-omnios branch r151016 at ab87a0b

uname -a shows omnios-ab87a0b

  • Last full illumos-gate merge was 056d3a7. Six additional cherry-picks (five small, one important) followed.

r151016 release repository: http://pkg.omniti.com/omnios/r151016/

Please read the upgrade instructions carefully. They were written for r151014, but they apply to r151016 as well.

What's new in this release? #

  • GCC 5.1 now available, and replaces GCC 4.8 in omnios-userland. (illumos bits are still built with the illumos-custom GCC 4.4.4.) GCC 5.1 also has mediated symlinks for "gcc" in /usr/bin now as well. NOTE: GCC 5.1's default standard is "-std=gnu11". This is a change from GCC 4's "-std=gnu89". Some software may assume gnu89, and to compile it with GCC 5, you'll need to specify "-std=gnu89" or update your software.
  • New simple metapackage for building illumos: illumos-tools. More information can be found here
  • Part of illumos-tools is the illumos-closed package, which contains the tarballs and expanded-as-root closed-binaries for illumos distros.
  • The signing certificate for r151016 uses SHA-256 for its hash.
  • OpenSSH 7.1 can now be used as the system's default SSH daemon. New installs will install OpenSSH 7.1 by default. To switch from SunSSH to OpenSSH (remove --no-backup-be if you wish to generate backup Boot Environments):
/usr/bin/pkg install --no-backup-be --reject pkg:/network/ssh --reject pkg:/network/ssh/ssh-key --reject pkg:/service/network/ssh pkg:/network/openssh pkg:/network/openssh-server

To switch from OpenSSH to SunSSH:

/usr/bin/pkg install --no-backup-be --reject pkg:/network/openssh --reject pkg:/network/openssh-server pkg:/network/ssh pkg:/network/ssh/ssh-key pkg:/service/network/ssh

IMPORTANT NOTE: Switching from SunSSH to OpenSSH will require commenting-out MaxAuthTriesLog and RhostsAuthentication options from /etc/ssh/sshd_config. Also both ListenAddress directives MUST be commented out (SunSSH has one uncommented by default). There will be an sshd_config.new to consult.

IMPORTANT NOTE 2 (Thanks Andy Fiddaman): To continue allowing connections from SunSSH, please add KexAlgorithms +diffie-hellman-group1-sha1 to /etc/ssh/sshd_config and ALSO if you have entries in /etc/pam.conf to update them. For example, Andy needed to s/sshd-kbdint/sshd/ to re-enable their two-factor authentication.

  • Network performance test tools iperf and netperf now in the omnios repo.
  • Updates for screen to have 256 colors.
  • illumos distributed make (dmake) is now open-source.
  • GNU make is now up to version 4.1 (requested by many).
  • Updated timezone (2015g) and HW information (PCI, USB, and SMBIOS).
  • arc4random(3c) family of library calls.
  • One can serve SMB/CIFS from a non-global zone, see here for details.
  • AVL trees are now a stable public interface.
  • IOPS, bandwidth, and latency kstats for NFS server
  • Support for linux-like eventfd, epoll, and timerfd.
  • NVME 1.0 support.
  • New checksums for ZFS: SHA-512, Skein, Edon-R
  • useradd/userdel/usermod is now ZFS aware.
  • Resumable ZFS send & receive.
  • Many other illumos-provided improvements in ZFS, documentation, small fixes, and more.

Package changes ([+] Added, [-] Removed, [*] Changed) #

  • automake 1.14 -> 1.15 [*]
  • bash 4.3p33 -> 4.3p42 [*]
  • bind 9.10.2 -> 9.10.3 [*]
  • cachefs (from illumos) EOLed [-]
  • coverage-26 3.7.1 -> 4.0 [*]
  • curl 7.42.1 -> 7.44.0 [*]
  • gawk 4.1.1 -> 4.1.3 [*]
  • GCC 4.8 -> 5.1 [*]
  • git 2.3.0 -> 2.6.1 [*]
  • gnu-coreutils 8.23 -> 8.24 [*]
  • gnu-gettext 0.19.4 -> 0.19.6 [*]
  • gnu-make 3.8.2 -> 4.1 [*]
  • gnu-patch 2.7.4 -> 2.7.5 [*]
  • groff 1.22.2 -> 1.22.3 [*]
  • intltool 0.50.2 -> 0.51.0 [*]
  • iperf 3.0.11 [+]
  • isc-dhcp 4.3.1 -> 4.3.3
  • iso-codes 3.57 -> 3.62 [*]
  • libidn 1.30 -> 1.32 [*]
  • libtool/libltdl 2.4.2 -> 2.4.6 [*]
  • libxml2 2.9.1 -> 2.9.2 [*]
  • lxml-26 3.4.2 -> 3.4.4 [*]
  • Mercurial 2.7.1 -> 3.5.2 [*]
  • netperf 2.7.0 [+]
  • net-snmp 5.7.2.1 -> 5.7.3 [*]
  • numpy-26 1.9.2 -> 1.10.0 [*]
  • OpenSSH 6.7p1 -> 7.1p1 [*]
  • pcap 1.6.2 -> 1.7.4 [*]
  • pciutils 3.2.1 -> 3.4.0 [*]
  • pcre 8.35 -> 8.37 [*]
  • pipe-viewer (pv) 1.5.7 -> 1.6.0 [*]
  • ply 3.4 -> 3.8 [*]
  • pylint-26 1.3.1 -> 1.4.4 [*]
  • screen 4.2.1 -> 4.3.1 [*]
  • sigcpp 2.4.0 -> 2.6.1 [*]
  • simplejson-26 3.6.5 -> 3.8.0 [*]
  • sqlite-3 3.8.8.2 -> 3.8.11.1 [*]
  • tcsh 6.18.1 ->6.19.0 [*]
  • tmux 1.9.0 -> 2.0 [*]
  • unixODBC 2.3.2 -> 2.3.4 [*]
  • wget 1.16 -> 1.16.3 [*]
  • Wireless USB (aka. ultra-wideband) from illumos EOLed [-]
  • xml-parser 2.41 -> 2.44 [*]
  • xz 5.0.5 -> 5.2.2 [*]
  • zsh 5.0.7 -> 5.1.1 [*]